const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;

const app = require('../routes/index.js');
const mongoose = require('mongoose');
const Consommation = require('../models/consommation.js');

chai.use(chaiHttp);

describe('API Tests', () => {
    describe('GET /consommations', () => {
        it('should return all consommations', async () => {
            const res = await chai.request(app).get('/consommations');
            expect(res).to.have.status(200);
            expect(res.body).to.be.an('array');
        });
    });
});
